<?php

namespace App\Services;

class PipeStage {
    public function getPipelineId($pipelineId, $tag)
    {
        $selfServiceTag = in_array(251, $tag);

        if ($pipelineId == 1) {
            return 1; // Pipeline "Vendas"
        } elseif ($pipelineId == 3) {
            return 1; // Pipeline "CS - Onboarding"
        } elseif ($pipelineId == 9 || $selfServiceTag) {
            return 3; // Pipeline "Vendas Self-service"
        } elseif ($pipelineId == 4) {
            return 2; // Pipeline "CS - Ongoing"
        }
        return null;
    }

    public function getStageId($pipelineId, $stage_id)
    {
        if ($pipelineId == 1) {
            return 1; // Stage para Pipeline "Vendas"
        } elseif ($pipelineId == 3) {
            return 16; // Stage para Pipeline "Vendas Self-service"
        } elseif ($pipelineId == 2) {
            if ($stage_id == 29 || $stage_id == 27) {
                return 11; // Stage para Pipeline "Vendas Self-service - Pos Onboarding"
            } elseif ($stage_id == 54) {
                return 12; // Stage para Pipeline "Vendas Self-service - Abaixo de 80% de liquidação"
            } elseif ($stage_id == 31) {
                return 13; // Stage para Pipeline "Vendas Self-service - Acima de 80% de liquidação"
            } elseif ($stage_id == 32) {
                return 14; // Stage para Pipeline "Vendas Self-service - Em queda de liquidação"
            } elseif ($stage_id == 65) {
                return 15; // Stage para Pipeline "Vendas Self-service - Retenção"
            }
        }
        return null;
    }
}