<?php

namespace App\Console\Commands;

use App\Helper\SlackNotifier;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\EvoTalksController;

class ProcessCodOpportunities extends Command
{
    protected $signature = 'opportunities:process';
    protected $description = 'Processa automaticamente as oportunidades do EvoTalks';

    public function __construct()
    {
        parent::__construct();
    }

    public function handle()
    {
        SlackNotifier::sendNotification('controle', 'Cron rodando!');
        //dd('O comando está sendo executado!');
        $controller = app(EvoTalksController::class);
        $controller->getCodOpportunitiesFunnel();
        Log::info('Controle de atualização de locações: ', [$controller]);
        $this->info('Oportunidades processadas com sucesso!');
    }
}
