<?php 

namespace App\Helper;

class ArrayHelper {
    public function safeGet($array, $keyPath, $default = null)
    {
        $keys = explode('.', $keyPath);
        foreach ($keys as $key) {
            if (!is_array($array) || !isset($array[$key])) {
                return $default;
            }
            $array = $array[$key];
        }
        return $array;
    }
}