<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;
use App\Services\UpdateTagToControle;

class UpdateTag extends Controller
{
    protected $updateTagToControle;

    public function __construct (UpdateTagToControle $updateTagToControle) {
        $this->updateTagToControle = $updateTagToControle;
    }

    public function updateTag(Request $request) {
        Log::info('Recebendo requisição no UpdateTag', $request->all());

        return $this->updateTagToControle->updateTagControle($request);
    }
}