<?php

namespace App\Services;

use App\Http\Controllers\EvoTalksController;
use Illuminate\Support\Facades\Http;
use Illuminate\Http\Request;

class syncPipeDriveContactToEvoTalks {

    protected $evoTalksController;

    public function __construct(EvoTalksController $evoTalksController) {
        $this->evoTalksController = $evoTalksController;
    }
    
    public function syncPipeDriveContactToEvoTalks($validated)
    {
        $contactData = [
            'name'          => $validated['person_id']['name'],
            'document'      => '',
            'number'        => $validated['person_id']['phone'][0]['value'] ?? null,
            'email'         => $validated['person_id']['email'][0]['value'] ?? null,
            'address'       => $validated['org_id']['address'] ?? null,
            'tag'           => [1]
        ];

        $contactResponse = $this->evoTalksController->addContact($contactData);

        return $contactResponse;

        if (!$contactResponse) {
            return response()->json(['error' => 'Erro ao cadastrar contato no EvoTalks'], 500);
        }
    }  

}